Package twisted :: Package web :: Module html

[show private | hide private]
[frames | no frames]

## Module twisted.web.html

I hold HTML generation helpers.

Function Summary
| ``escape`(text)` Escape a few HTML special chars with HTML entities.
| `linkList(lst)`
| ``output`(func, *args, **kw)` output(func, *args, **kw) -> html string Either return the result of a function (which presumably returns an HTML-legal string) or an HTMLized traceback describing why that function didn't run.
| ``PRE`(text)` Wrap <pre> tags around some text and escape it with web.escape.
| `UL(lst)`
| ``unescape`(text)` Perform the exact opposite of 'escape'.

Function Details

### escape(text)

Escape a few HTML special chars with HTML entities.

### output(func, *args, **kw)

output(func, *args, **kw) -> html string Either return the result of a function (which presumably returns an HTML-legal string) or an HTMLized traceback describing why that function didn't run.

### PRE(text)

Wrap <pre> tags around some text and escape it with web.escape.

### unescape(text)

Perform the exact opposite of 'escape'.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:16 2003 | http://epydoc.sf.net